%h3.page-title
  = t("projects_section.protected_branches.protected_branch")
%p.light
  = t("projects_section.protected_branches.ability_allow_stable_branches_secure")
%hr

.bs-callout.bs-callout-info
  %p
    = t("projects_section.protected_branches.p_branches_designed_to") + ":"
  %ul
    %li #{t('projects_section.protected_branches.prevent_push')} #{link_to t('projects_section.protected_branches.masters'), help_page_path("permissions", "permissions"), class: "vlink"}
    %li= t("projects_section.protected_branches.prevent_branch_force_push")
    %li= t("projects_section.protected_branches.prevent_branch_removal")
  %p #{t('projects_section.protected_branches.read_more')} #{link_to t('projects_section.protected_branches.here'), help_page_path("permissions", "permissions"), class: "underlined-link"}

- if can? current_user, :admin_project, @project
  = form_for [@project, @protected_branch], html: { class: 'form-horizontal' } do |f|
    -if @protected_branch.errors.any?
      .alert.alert-danger
        %ul
          - @protected_branch.errors.full_messages.each do |msg|
            %li= msg

    .form-group
      = f.label :name, t("projects_section.protected_branches.branch"), class: 'control-label'
      .col-sm-10
        = f.select(:name, @project.open_branches.map { |br| [br.name, br.name] } , {include_blank: t("projects_section.protected_branches.select_branch")}, {class: "select2"})
    .form-actions
      = f.submit t("projects_section.protected_branches.protect"), class: "btn-create btn"
- unless @branches.empty?
  %h5
    = t("projects_section.protected_branches.already_protected")
  %ul.bordered-list.protected-branches-list
    - @branches.each do |branch|
      %li
        %h4
          = link_to project_commits_path(@project, branch.name) do
            %strong= branch.name
            - if @project.root_ref?(branch.name)
              %span.label.label-info
                = t("projects_section.protected_branches.default")
            %span.label.label-success
              %i.icon-lock
          .pull-right
            - if can? current_user, :admin_project, @project
              = link_to t("projects_section.protected_branches.unprotect"), [@project, branch], data: { confirm: t("projects_section.protected_branches.will_be_writable") }, method: :delete, class: "btn btn-remove btn-small"

        - if commit = branch.commit
          = link_to project_commit_path(@project, commit.id), class: 'commit_short_id' do
            = commit.short_id
          %span.light
            = gfm escape_once(truncate(commit.title, length: 40))
          #{time_ago_with_tooltip(commit.committed_date)}
        - else
          = t("projects_section.protected_branches.branch_was_removed_from_repo")
